Foreman - Bug #14204

Host creation fails when creating libvirtd VM with bridged network
03/15/2016 10:27 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Compute resources - libvirt
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1276780 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3328,
https://github.com/theforeman/foreman/p
ull/3334
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1276780

Description of problem:

Host creation fails with the message:

Unable to save

Failed to power up a compute KVM (Libvirt) instance test.example.com: Call to virDomainCreateWithFlags failed: Unable to add
bridge em1 port vnet0: Operation not supported

Version-Release number of selected component (if applicable):

How reproducible:
Consistent.

Steps to Reproduce:

1.Setup a KVM env and inetgrate with Satellite 6.1.3. Setup a bridged network in the KVM.
2.Create the host with physical (Bridge)network to encounter this error.

3.

Actual results:

Host creation fails.
Expected results:
Should accept bridged network.

Additional info:
Workaround: Continue selecting Virtual NAT network with default network. Complete creating the host. Go to virt-manager, select the
console for the new VM, and manually change the NIC setting to bridge desired.

Associated revisions

Revision 01fde835 - 03/16/2016 04:30 AM - Marek Hulan
Fixes #14204 - list only bridges for bridged networking

Revision 341bb2c0 - 03/17/2016 10:19 AM - Marek Hulan
Refs #14204 - safer libvirt bridge detection

History

#1 - 03/15/2016 10:27 AM - Marek Hulan
- Category changed from Inventory to Compute resources - libvirt

- Status changed from New to Assigned

#2 - 03/15/2016 10:30 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1276780

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3328 added

#3 - 03/16/2016 05:02 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 01fde835c5f50561dcde4a4f8b7a0f1ecf1bb2db.

#4 - 03/16/2016 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 03/16/2016 09:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3334 added
